- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 7217876c-6171-4d06-bbb8-4c3016e2730e
    creation_time: 2023-02-17T13:43:22.741235Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark24_conjunctive.c
      input_file_hashes:
        c/loop-zilu/benchmark24_conjunctive.c: e6bbd99c2e724766636acbeb4089e9b1cfd2a5b383a9908ccea1cabd76f27733
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark24_conjunctive.c
    file_hash: e6bbd99c2e724766636acbeb4089e9b1cfd2a5b383a9908ccea1cabd76f27733
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: 2 * k + i == 2 * n && i <= n + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 8d9f45f2-563a-47dd-ad2f-a7b3331754c1
    creation_time: 2023-02-17T13:43:22.741600Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark24_conjunctive.c
      input_file_hashes:
        c/loop-zilu/benchmark24_conjunctive.c: e6bbd99c2e724766636acbeb4089e9b1cfd2a5b383a9908ccea1cabd76f27733
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark24_conjunctive.c
    file_hash: e6bbd99c2e724766636acbeb4089e9b1cfd2a5b383a9908ccea1cabd76f27733
    line: 35
    column: 0
    function: main
  location_invariant:
    string: 2 * k >= n - 1
    type: assertion
    format: C

